Update collection

Updates the collection with the given name.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Only the collection settings can be updated with this endpoint. Updating a field of a collection can be done with the Fields API documented below

🚧

External endpoint content type

The URL specified in the external_endpoint property of the external details object, must return a Content-Type header set to application/json other content types will cause an error when creating the collection.

🚧

When changing external details, you should include all existing properties. Any missing properties in your request, will be deleted from the collection configuration.

Path Params
string
required

The site's unique name (its ID), returned when the site is created.

string
required

The collection's name.

Body Params
string | null

Configured frequency for automatic external collection data refresh.

string
enum

Lock state for customer editing. Supported values:

  • 'unlocked' - customers have no limitations for editing collection fields or data. null value in response is equivalent to 'unlocked' state
  • 'structure_locked' - customers can't edit, add or remove collection fields
  • 'view_only' - customers can't edit fields and internal collection data
    Following logic & limitations is applied in create/update requests:
  • null value will not change collection lock state
  • image collections can only be locked for 'view_only' state
  • external collections can only be locked for 'structure_locked' state
Allowed:
external_details
object
fields
array of objects
fields
int32
string
boolean

Whether collection is bindable to non-dynamic pages. See feature support article for more details: https://support.duda.co/hc/en-us/articles/26519925982487-Dynamic-Content-Collections-for-Regular-Pages

boolean
deprecated
values
array of objects
values
Responses
200

OK

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json